HINO Bugs - Bug #1089

Menambahkan Validasi Pembatasan Pengambilan Kuota Cuti untuk employee yang kuota cutinya

Prorate
04/21/2022 12:03 PM - ikawati basri

Status: Closed Start date: 04/21/2022
Priority: High Due date: 04/28/2022
Assignee: Moch Alinafia % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 3.00 hours
Description

Mas Putra,

sesuai diskusi kemarin, untuk Hino setelah sukses generate kuota cuti dari sistem dengan mode prorate, perlu ditambahkan validasi
pada saat employee melakukan ESS cuti agar hanya dapat mengambil kuota cuti maksimal sesaui prorate bulan berjalan. misalnya:

employee hiring di 012021, berarti kuota yang tergenerate di 012022 adalah 12. Namun,jika employee tersebut mengajukan cuti di

bulan april, maka maksimum cuti yang dapat diajukan adalah 4 karena kuota prorate sampai april adalah 4.

Jika kuota yang diajukan saat memilih enddate di ESS melebihi maksimal kuota yang dapat diambil maka muncul validasi.
Validasi yang dapat digunakan: "Kuota yang muncul adalah jumlah kuota satu tahun, namun maksimal cuti yang dapat diambil

sesuai jumlah prorate setelah 1 tahun bekerja saat pengajuan cuti"
Terimakasih.
Salam,

ika

History

#1 - 04/26/2022 12:08 PM - dian perdana putra
- Assignee changed from dian perdana putra to M Azid Wahyudi

#2 - 05/12/2022 04:06 PM - M Azid Wahyudi

- Assignee changed from M Azid Wahyudi to Saswanto Tampan

mang ini issue yg kemaren kita dissuc ,, yang dimana jobsqlnya kurang tepat karena karyawan lama tetap kena generet cuti prorate

catatan
- belom di stop jobsql di sana
- belom di delete di phrpa0017 dimana wherenya createby 'systemJobSql'

#3 - 05/13/2022 11:14 AM - Saswanto Tampan
- Status changed from New to Revise

- Assignee changed from Saswanto Tampan to Moch Alinafia

tolong info ketentuan untuk pembuatan service job ini, project ini berasal dari team CS sebelumnya
GENERATE QUOTA CUTI PRORATE

#4 - 11/19/2024 08:52 AM - Moch Alinafia

- Status changed from Revise to Closed
